| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Protected Member Functions | List of all members
Tp::FixedFeatureFactory Class Reference
Utililty classes

The FixedFeatureFactory class is a base class for all D-Bus proxy factories which want the same set of features for all constructed proxies. More...

`#include <TelepathyQt/FixedFeatureFactory>`

Inheritance diagram for Tp::FixedFeatureFactory:
[legend]

## Public Member Functions

virtual | ~FixedFeatureFactory ()
Features | features () const
void | addFeature (const Feature &feature)
void | addFeatures (const Features &features)
Public Member Functions inherited from Tp::DBusProxyFactory
virtual | ~DBusProxyFactory ()
const QDBusConnection & | dbusConnection () const
Public Member Functions inherited from QObject
| QObject (QObject *parent)
virtual | ~QObject ()
virtual bool | event (QEvent *e)
virtual bool | eventFilter (QObject *watched, QEvent *event)
virtual const QMetaObject * | metaObject () const
QString | objectName () const
void | setObjectName (const QString &name)
bool | isWidgetType () const
bool | signalsBlocked () const
bool | blockSignals (bool block)
QThread * | thread () const
void | moveToThread (QThread *targetThread)
int | startTimer (int interval)
void | killTimer (int id)
T | findChild (const QString &name) const
QList< T > | findChildren (const QString &name) const
QList< T > | findChildren (const QRegExp &regExp) const
QObject * | child (const char *objName, const char *inheritsClass, bool recursiveSearch) const
const QObjectList & | children () const
void | setParent (QObject *parent)
void | installEventFilter (QObject *filterObj)
void | removeEventFilter (QObject *obj)
bool | connect (const QObject *sender, const char *signal, const char *method, Qt::ConnectionType type) const
bool | disconnect (const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *receiver, const char *method)
void | dumpObjectTree ()
void | dumpObjectInfo ()
bool | setProperty (const char *name, const QVariant &value)
QVariant | property (const char *name) const
QList< QByteArray > | dynamicPropertyNames () const
void | destroyed (QObject *obj)
QObject * | parent () const
bool | inherits (const char *className) const
void | deleteLater ()
| QObject (QObject *parent, const char *name)
void | insertChild (QObject *object)
void | removeChild (QObject *object)
bool | isA (const char *className) const
const char * | className () const
const char * | name () const
const char * | name (const char *defaultName) const
void | setName (const char *name)
Public Member Functions inherited from Tp::RefCounted
| RefCounted ()
virtual | ~RefCounted ()

## Protected Member Functions

| FixedFeatureFactory (const QDBusConnection &bus)
virtual Features | featuresFor (const DBusProxyPtr &proxy) const
Protected Member Functions inherited from Tp::DBusProxyFactory
| DBusProxyFactory (const QDBusConnection &bus)
DBusProxyPtr | cachedProxy (const QString &busName, const QString &objectPath) const
PendingReady * | nowHaveProxy (const DBusProxyPtr &proxy) const
virtual QString | finalBusNameFrom (const QString &uniqueOrWellKnown) const =0
virtual PendingOperation * | initialPrepare (const DBusProxyPtr &proxy) const
virtual PendingOperation * | readyPrepare (const DBusProxyPtr &proxy) const
Protected Member Functions inherited from QObject
QObject * | sender () const
int | senderSignalIndex () const
int | receivers (const char *signal) const
virtual void | timerEvent (QTimerEvent *event)
virtual void | childEvent (QChildEvent *event)
virtual void | customEvent (QEvent *event)
virtual void | connectNotify (const char *signal)
virtual void | disconnectNotify (const char *signal)
bool | checkConnectArgs (const char *signal, const QObject *object, const char *method)

## Additional Inherited Members

Static Public Member Functions inherited from QObject
QString | tr (const char *sourceText, const char *disambiguation, int n)
QString | trUtf8 (const char *sourceText, const char *disambiguation, int n)
bool | connect (const QObject *sender, const char *signal, const QObject *receiver, const char *method, Qt::ConnectionType type)
bool | connect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method, Qt::ConnectionType type)
bool | disconnect (const QObject *sender, const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method)
Static Protected Member Functions inherited from QObject
QByteArray | normalizeSignalSlot (const char *signalSlot)
Properties inherited from QObject
| objectName

## Detailed Description

The FixedFeatureFactory class is a base class for all D-Bus proxy factories which want the same set of features for all constructed proxies.

## Constructor & Destructor Documentation

## § ~FixedFeatureFactory()

Tp::FixedFeatureFactory::~FixedFeatureFactory | ( |  | ) |

virtual

Class destructor.

## § FixedFeatureFactory()

Tp::FixedFeatureFactory::FixedFeatureFactory | ( | const QDBusConnection & | bus | ) |

protected

Class constructor.

The intention for storing the bus here is that it generally doesn't make sense to construct proxies for multiple buses in the same context. Allowing that would lead to more complex keying needs in the cache, as well.

Parameters

  bus | The D-Bus bus connection for the objects constructed using this factory.

## Member Function Documentation

## § features()

Features Tp::FixedFeatureFactory::features | ( |  | ) | const

Gets the features this factory will make ready on constructed proxies.

Returns
  The set of features.

## § addFeature()

void Tp::FixedFeatureFactory::addFeature | ( | const Feature & | feature | ) |

Adds a single feature this factory will make ready on further constructed proxies.

No feature removal is provided, to guard against uncooperative modules removing features other modules have set and depend on.

Parameters

  feature | The feature to add.

## § addFeatures()

void Tp::FixedFeatureFactory::addFeatures | ( | const Features & | features | ) |

Adds a set of features this factory will make ready on further constructed proxies.

No feature removal is provided, to guard against uncooperative modules removing features other modules have set and depend on.

Parameters

  features | The features to add.

## § featuresFor()

Features Tp::FixedFeatureFactory::featuresFor | ( | const DBusProxyPtr & | proxy | ) | const

protected virtual

Fixed implementation of the per-proxy feature getter.

Returns
  features(), irrespective of the actual proxy.

Implements Tp::DBusProxyFactory.